[llvm-commits] CVS: reopt/autoconf/AutoRegen.sh

Brian Gaeke gaeke at cs.uiuc.edu
Fri Oct 15 12:50:09 PDT 2004



Changes in directory reopt/autoconf:

AutoRegen.sh added (r1.1)
---
Log message:

Add an autoconf regeneration shell script for reoptimizer.


---
Diffs of the changes:  (+23 -0)

Index: reopt/autoconf/AutoRegen.sh
diff -c /dev/null reopt/autoconf/AutoRegen.sh:1.1
*** /dev/null	Fri Oct 15 14:50:09 2004
--- reopt/autoconf/AutoRegen.sh	Fri Oct 15 14:49:59 2004
***************
*** 0 ****
--- 1,23 ----
+ #!/bin/sh
+ die () {
+ 	echo "$@" 1>&2
+ 	exit 1
+ }
+ test -d autoconf && test -f autoconf/configure.ac && cd autoconf
+ test -f configure.ac || die "Can't find 'autoconf' dir; please cd into it first"
+ autoconf --version | egrep '2\.5[0-9]' > /dev/null
+ if test $? -ne 0
+ then
+ 	die "Your autoconf was not detected as being 2.5x"
+ fi
+ echo "Note: Warnings about 'AC_CONFIG_SUBDIRS: you should use literals' are ok"
+ echo "Regenerating aclocal.m4 with aclocal"
+ cwd=`pwd`
+ aclocal || die "aclocal failed"
+ echo "Regenerating configure with autoconf 2.5x"
+ autoconf -o ../configure configure.ac || die "autoconf failed"
+ # config.h.in is not used in the reoptimizer:
+ #cd ..
+ #echo "Regenerating config.h.in with autoheader 2.5x"
+ #autoheader -I autoconf -I autoconf/m4 autoconf/configure.ac || die "autoheader failed"
+ exit 0






More information about the llvm-commits mailing list